Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class XMPPCallbackHandler

    java.lang.Object
      org.jivesoftware.openfire.net.XMPPCallbackHandler

All Implemented Interfaces:
  CallbackHandler

    public class XMPPCallbackHandler

extends Object
implements CallbackHandler

Callback handler that may be used when doing SASL authentication. A CallbackHandler may be required depending on the SASL mechanism being used.

Mechanisms that use a digest don't include a password so the server needs to use the stored password of the user to compare it (somehow) with the specified digest. This operation requires that the UserProvider being used supports passwords retrival. `SASLAuthentication` should not offer these kind of SASL mechanisms if the user provider being in use does not support passwords retrieval.

Author:
  Hao Chen

Constructor Summary
`XMPPCallbackHandler()`

Method Summary
`void` | `handle(Callback[] callbacks)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMPPCallbackHandler

    public XMPPCallbackHandler()

Method Detail

### handle

    public void handle(Callback[] callbacks)
                throws IOException,
                       UnsupportedCallbackException

  Specified by:
    `handle` in interface `CallbackHandler`
  Throws:
    `IOException`
    `UnsupportedCallbackException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.